Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

RevertVmFromCdpBackup

RevertVmFromCdpBackup

PUT/zstack/v1/cdp-backups/{vmInstanceUuid}/actions

Operation ID

RevertVmFromCdpBackup

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmInstanceUuid
    StringRequired

    The UUID of the VM instance.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • backupStorageUuid
      StringRequired

      The UUID of the backup storage.

    • groupId
      longRequired

      The group ID of the recovery points.

    • primaryStorageUuidForRootVolume
      String

      Optional. The UUID of the primary storage for new root volume.

    • primaryStorageUuidForDataVolume
      String

      Optional. The UUID of the primary storage for new data volume.

    • hostUuid
      String

      Optional. The UUID of the host.

    • useExistingVolume
      boolean

      Optional. Use the recover data to overwrite existing volume or not.

    • recoverBandwidth
      long

      Optional. The recover bandwidth.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.